clear
set mem 200m
set more off
*cleaning the raw data and saving in 02_CLEANDATA
cd "C:\Africa\Ghana\GLSS3-1991"
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S0A", clear
des
/*Number of observations 4,552
Household level file
Contains basic and survey visit data*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S0A", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S0B", clear
des
/*Number of observations 4,552
Household level file
Contains basic and survey visit data*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S0B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S1", clear
des
/*Number of observations 20,403
Individual level file for all individuals 
Contains basic individual information*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S2", clear
des
/*Number of observations 17,168
Individual level file for individuals aged 5yrs or more
Contains education data*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S3A", clear
des
/*Number of observations 20,302
Individual level file for all individuals
Contains information regarding health*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S3A", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S3B", clear
des
/*Number of observations 5,307
Individual level file for individuals aged below 7 yrs 
Contains information regarding vaccination*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S3B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S3C", clear
des
/*Number of observations 3,866
Individual level file for children aged below 5 yrs 
Contains information regarding post natal care*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S3C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S3D", clear
des
/*Number of observations 4,552
Individual level file for women aged 15 to 49 yrs 
Contains information regarding fertility*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S3D", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4A", clear
des
/*Number of observations 15,659
Individual level file for all individuals aged more than 7 yrs 
Contains screening information regarding employment 
in the last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4A", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4B", clear
des
/*Number of observations 10,177
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding primary occupation 
in the last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4B1", clear
des
/*Number of observations 10,176
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding primary occupation 
in the last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4B1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4B2", clear
des
/*Number of observations 1,270
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding primary occupation 
in the last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4B2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4B3", clear
des
/*Number of observations 1,272
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding primary occupation 
in the last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4B3", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4C", clear
des
/*Number of observations 2,190
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding secondary occupation 
in the last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4C1", clear
des
/*Number of observations 2,190
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding secondary occupation 
in the last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4C1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4C2", clear
des
/*Number of observations 99
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding secondary occupation 
in the last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4C2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4D", clear
des
/*Number of observations 96
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding third occupation 
in the last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4D", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4E", clear
des
/*Number of observations 4
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding fourth occupation 
in the last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4E", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4F", clear
des
/*Number of observations 0
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding fifth occupation 
in the last 12 months*/  
save "02_CLEANDATA\S4F", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4G", clear
des
/*Number of observations 15,561
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding activity status and employment search 
in the past 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4G", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4H", clear
des
/*Number of observations 15,528
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding activity status and employment search 
in the past 7 days*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4H", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4J", clear
des
/*Number of observations 15,414
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding employment history*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4J", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S4K", clear
des
/*Number of observations 15,614
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding household chores*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S4K", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S5", clear
des
/*Number of observations 10,762
Individual level file for all individuals aged more than 15 yrs 
Contains information regarding migration*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S5", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S6", clear
des
/*Number of observations 4,547
Household level file
Contains information regarding household farming activities*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S6", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part A\S7", clear
des
/*Number of observations 4,528
Household level file
Contains information regarding dwelling characteristics*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S7", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8A1", clear
des
/*Number of observations 3,098
Household level file
Contains information regarding household any land*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S8A1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8A2", clear
des
/*Number of observations 4,271
Household level file
Contains information regarding livestock*/ 
duplicates r
*no duplicates found
duplicates drop
save "02_CLEANDATA\S8A2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8A3", clear
des
/*Number of observations 130
Household level file
Contains information regarding agricultural equipment*/ 
duplicates r
*no duplicates found
duplicates drop
save "02_CLEANDATA\S8A3", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8B", clear
des
/*Number of observations 5,213
Household level file with observations at land asset level
Contains information regarding household agricultural land assets*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S8B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8C1", clear
des
/*Number of observations 5,276
Household level file with observations at the crop level
Contains information regarding disposal of harvests(Grains, field and cash crops)*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S8C1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8C2", clear
des
/*Number of observations 15,406
Household level file with observations at the crop level
Contains information regarding disposal of harvests(fruits, vegetable and piecemeal crops)*/ 
duplicates r
*No duplicates found
duplicates drop 
save "02_CLEANDATA\S8C2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8D", clear
des
/*Number of observations 8,547
Household level file with observations at the crop level
Seasonality of sales and purchases*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S8D", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8E", clear
des
/*Number of observations 3,084
Household level file
Contains information regarding income from household agricultural produce*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S8E", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8F", clear
des
/*Number of observations 8,987
Household level file. Observations at the item level
Contains information on agriculture related expenses*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S8F", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8G", clear
des
/*Number of observations 2,495
Household level file. 
Contains information on processing of agricultural produce*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S8G", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S8H", clear
des
/*Number of observations 32,052
Household level file. Observations relate to item code.
Contains information regarding consumption of self-produced agricultural products*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S8H", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S9A2", clear
des
/*Number of observations 37,901
Contains frequent, non-food consumption information at the item level*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S9A2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S9A11", clear
des
/*Number of observations 4,503
Contains information on respondents for SEC9*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S9A11", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S9A12", clear
des
/*Number of observations 55,996
Contains less-frequent, non-food consumption information at the item level*/ 
duplicates r
*no duplicates found
duplicates drop
save "02_CLEANDATA\S9A12", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S9B", clear
des
/*Number of observations 104,068
Contains food consumption information at the item level*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S9B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S9C", clear
des
/*Number of observations 49,629
Household level file with observations at the item level
Contains information about the availability of selected products*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S9C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S10A", clear
des
/*Number of observations 2,879
Household enterprise level file
Contains information regarding characteristics of household enterprises*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S10A", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S10B", clear
des
/*Number of observations 6,498
Household enterprise level file
Contains information regarding expenses of enterprises*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S10B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S10C", clear
des
/*Number of observations 2,367
Household enterprise level file
Contains information regarding assets of enterprises*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S10C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S10D", clear
des
/*Number of observations 2,873
Household enterprise level file
Contains information regarding revenue of enterprises*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S10D", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S10E", clear
des
/*Number of observations 2,866
Household enterprise level file
Contains information regarding net income and inventory of enterprises*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S10E", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S11A1", clear
des
/*Number of observations 4,509
Household level file
Contains information regarding transfer payments MADE BY the household*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S11A1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S11A2", clear
des
/*Number of observations 1,998
Household level file
Contains information regarding remittances MADE BY household*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S11A2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S11B1", clear
des
/*Number of observations 4,507
Household level file
*Contains information regarding remittances RECEIVED BY household*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S11B1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S11B2", clear
des
/*Number of observations 1,665
Household level file
*Contains information regarding remittances RECEIVED BY household*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S11B2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S11C", clear
des
/*Number of observations 4,510
Household level file
Contains information regarding miscellaneous income*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S11C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S11D", clear
des
/*Number of observations 4,510
Household level file
Contains information regarding miscellaneous expenditures*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S11D", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S12A1", clear
des
/*Number of observations 4,508
Household level file
Contains information regarding credit*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S12A1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S12A2", clear
des
/*Number of observations 4,649
Household level file
Contains information regarding credit*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S12A2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S12B", clear
des
/*Number of observations 11,960
Household level file with durable items as observations 
Contains informaiton regarding ownership of durables*/ 
duplicates r
*no duplicates found
duplicates drop
save "02_CLEANDATA\S12B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS3_Part B\S12C", clear
des
/*Number of observations 1,404
Household level file with durable items as observations 
Contains informaiton regarding savings*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\S12C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\POVERTY\POV_GH", clear
des
/*number of observations 4,523
Household level file
Contains information regarding poverty and price indices.*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\POV_GH", replace
*--------------------------------------
